Bug 527143 - GraphicsMagick build of perl packages is bad
Summary: GraphicsMagick build of perl packages is bad
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: GraphicsMagick
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Andreas Thienemann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-04 23:39 UTC by Michal Jaegermann
Modified: 2011-05-05 05:09 UTC (History)
4 users (show)

Fixed In Version: GraphicsMagick-1.3.12-4.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-05 05:09:22 UTC
Type: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2009-10-04 23:39:15 UTC
Description of problem:

An attempt to run 'make' for 'demo' directory from GraphicsMagick-perl-1.3.7-1.fc11.x86_64 package results in:

$ make
perl demo.pl
perl: symbol lookup error: /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Graphics/Magick/Magick.so: undefined symbol: InitializeMagick
make: *** [all] Error 127

With source rpm pulled and after 'rpmbuild --rebuild GraphicsMagick-1.3.7-1.fc11.src.rpm' and reinstallation of GraphicsMagick-perl from a package created that way the problem is gone.
It looks like that bug 365901 shows up again.

Version-Release number of selected component (if applicable):
GraphicsMagick-1.3.7-1.fc11.x86_64

How reproducible:
always

Additional info:
The same issue hits also GraphicsMagick-perl-1.3.7-1.el5.x86_64 now in epel-testing.

Comment 1 Dan Stahlke 2009-10-15 00:35:25 UTC
This bug affects anything that needs to use the Graphics::Magick perl module.

$ perl -MGraphics::Magick -e1
perl: symbol lookup error: /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Graphics/Magick/Magick.so: undefined symbol: InitializeMagick

Comment 2 Dan Stahlke 2009-10-15 00:48:49 UTC
The workaround mentioned in bug 203975 works here:

cd /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/Graphics/Magick
mv Magick.so Magick-0.so
ld -shared -o Magick.so `pwd`/Magick-0.so /usr/lib64/libGraphicsMagick.so

Comment 3 Dan Stahlke 2009-11-20 01:53:52 UTC
Problem still exists in Fedora 12.

Comment 4 Michal Jaegermann 2010-01-13 18:37:13 UTC
The current update to GraphicsMagick-perl-1.3.7-4.fc11 suffers from the same affliction.

Comment 5 Bug Zapper 2010-04-28 10:42:16 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Chris Nighswonger 2010-04-28 11:55:38 UTC
As mentioned by Dan Stahlke above, this issue appears to still exit in Fedora 12. Someone needs to bump the version number referenced in this bug so that it stays on radar for Fedora 12.

Comment 7 Michal Jaegermann 2010-04-28 21:20:12 UTC
The issue is the same also for GraphicsMagick-1.3.12-1.fc14, and most likely for fc13 as well (which "Bug Zappers" could easily verify).

Comment 8 Bug Zapper 2010-07-30 10:44:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 James Heather 2010-10-27 09:35:13 UTC
Is there any progress on this? It was originally filed against Fedora 11... the bug has recently been celebrating its first birthday...

James

Comment 10 Fedora Update System 2011-04-27 19:19:26 UTC
GraphicsMagick-1.3.12-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/GraphicsMagick-1.3.12-4.fc15

Comment 11 Fedora Update System 2011-04-28 19:02:51 UTC
Package GraphicsMagick-1.3.12-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing GraphicsMagick-1.3.12-4.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/GraphicsMagick-1.3.12-4.fc15
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2011-05-05 05:09:03 UTC
GraphicsMagick-1.3.12-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.